# Class BaseFile`Abstract`

#### Hierarchy

- BaseFile
  - PrivateFile
  - BareFile

#### Implements

- File

- Defined in fs/base/file.ts:7

#####
Index

### Constructors

constructor

### Properties

content
readOnly

### Methods

put
putDetailed
updateContent

## Constructors

### constructor

- new BaseFile(content: Uint8Array): BaseFile

- #### Parameters

  - ##### content: Uint8Array

  #### Returns BaseFile

  - Defined in fs/base/file.ts:12

## Properties

### content

content: Uint8Array

Implementation of File.content

- Defined in fs/base/file.ts:9

### readOnly

readOnly: boolean

- Defined in fs/base/file.ts:10

## Methods

### put

- put(): Promise<CID<unknown, number, number, Version>>

- #### Returns Promise<CID<unknown, number, number, Version>>

  Implementation of File.put

  - Defined in fs/base/file.ts:17

### `Abstract` putDetailed

- putDetailed(): Promise<PutResult>

- #### Returns Promise<PutResult>

  Implementation of File.putDetailed

  - Defined in fs/base/file.ts:28

### updateContent

- updateContent(content: Uint8Array): Promise<BaseFile>

- #### Parameters

  - ##### content: Uint8Array

  #### Returns Promise<BaseFile>

  Implementation of File.updateContent

  - Defined in fs/base/file.ts:22

Generated using TypeDoc